Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskData

    java.lang.Object
      com.bea.wli.worklist.api.TaskInfo
          com.bea.wli.worklist.api.TaskData

All Implemented Interfaces:
  Serializable

    public final class TaskData

extends TaskInfo
implements Serializable

This class provides information about the runtime state of a Task. The method getTaskDataXML() returns the task runtime information as an TaskDataXMLDocument which may be more convenient to manipulate. TaskDataXMLDocument is an XmlObject.

Since:
  9.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.wli.worklist.api.TaskInfo
`owner`

Constructor Summary
`TaskData()` Basic constructor
`TaskData(String taskId, TaskPlanId taskPlanId, String name)`
`TaskData(TaskInfo info)`

Method Summary
`boolean` | `equals(Object other)`
`AdminState.Type` | `getAdminState()`
`String` | `getConstructorName()`
`ContainerHandle` | `getCreatingContainerHandle()`
`String` | `getCreator()`
`Date` | `getCurrentStepCompletionDueDate()`
`String` | `getCurrentStepName()`
`Set<String>` | `getDiff(TaskData item)` Returns a set of fields (as SystemProperty names) that differ between this object and the given TaskData object.
`String` | `getErrorMessage()`
`String` | `getFinalActionName()` The ID of the step action that completed/aborted this task.
`String` | `getFinalStepName()` The ID of the step from which this task was completed/aborted.
`Boolean` | `getIsOwnerGroup()`
`Date` | `getLastUpdateDate()`
`String` | `getLastUpdateUser()`
`String` | `getOwner()`
`Boolean` | `getOwnerGroup()`
`StateType` | `getStateType()`
`Map<String,Interval>` | `getStepTimeEstimates()` Get a Map representing the time estimates for completion of each step for the task.
`TaskDataXMLDocument` | `getTaskDataXML()`
`TaskPlanId` | `getTaskPlanId()`
`Interval` | `getTaskTimeEstimate()` Get the time estimate for completion of the task.
`Map<String,PropertyInstance>` | `getUserProperties()`
`WorkingState.Type` | `getWorkingState()`
`String` | `internalToString()`
`void` | `setAdminState(AdminState.Type adminState)`
`void` | `setConstructorName(String constructorName)`
`void` | `setCreatingContainerHandle(ContainerHandle creatingContainerHandle)`
`void` | `setCreator(String creationUser)`
`void` | `setCurrentStepCompletionDueDate(Date currentStepCompletionDueDate)`
`void` | `setCurrentStepName(String currentStepName)`
`void` | `setErrorMessage(String errorMessage)`
`void` | `setFinalActionName(String finalStepActionName)`
`void` | `setFinalStepName(String finalStepName)`
`void` | `setIsOwnerGroup(Boolean ownerGroup)`
`void` | `setLastUpdateDate(Date lastUpdateDate)`
`void` | `setLastUpdateUser(String lastUpdateUser)`
`void` | `setOwner(String owner)`
`void` | `setOwnerGroup(Boolean ownerGroup)`
`void` | `setStateType(StateType stateType)`
`void` | `setStepTimeEstimates(Map<String,Interval> stepTimeEstimates)`
`void` | `setTaskPlanId(TaskPlanId taskPlanId)`
`void` | `setTaskTimeEstimate(Interval taskTimeEstimate)`
`void` | `setUserProperties(Map<String,PropertyInstance> userProperties)`
`void` | `setWorkingState(WorkingState.Type workingState)`
`String` | `toString()`

Methods inherited from class com.bea.wli.worklist.api.TaskInfo
`getAssignee, getCanBeAborted, getCanBeReassigned, getCanBeReturned, getClaimant, getClaimDueDate, getComment, getCompletionDueDate, getCreationDate, getDescription, getName, getParentProcessId, getParentProcessUri, getPriority, getProperties, getRequestMessage, getRequestMessageAsXmlObject, getRequestType, getResponseMessage, getResponseMessageAsXmlObject, getResponseType, getTaskId, getTaskInfoXML, hashCode, initTaskInfoXML, setAssignee, setCanBeAborted, setCanBeReassigned, setCanBeReturned, setClaimant, setClaimDueDate, setComment, setCompletionDueDate, setCreationDate, setDescription, setName, setParentProcessId, setParentProcessUri, setPriority, setProperties, setRequestMessage, setRequestType, setResponseMessage, setResponseType, setTaskId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaskData

    public TaskData()

  Basic constructor

### TaskData

    public TaskData(String taskId,
                    TaskPlanId taskPlanId,
                    String name)

### TaskData

    public TaskData(TaskInfo info)

Method Detail

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `TaskInfo`

### getDiff

    public Set<String> getDiff(TaskData item)

  Returns a set of fields (as SystemProperty names) that differ between this object and the given TaskData object. An empty map indicates these two objects are considered equal.

### toString

    public String toString()

  Overrides:
    `toString` in class `TaskInfo`

### internalToString

    public String internalToString()

  Overrides:
    `internalToString` in class `TaskInfo`

### getTaskPlanId

    public TaskPlanId getTaskPlanId()

### setTaskPlanId

    public void setTaskPlanId(TaskPlanId taskPlanId)

### getCreatingContainerHandle

    public ContainerHandle getCreatingContainerHandle()

### setCreatingContainerHandle

    public void setCreatingContainerHandle(ContainerHandle creatingContainerHandle)

### getCreator

    public String getCreator()

### setCreator

    public void setCreator(String creationUser)

### getOwner

    public String getOwner()

  Overrides:
    `getOwner` in class `TaskInfo`

### setOwner

    public void setOwner(String owner)

  Overrides:
    `setOwner` in class `TaskInfo`

### getIsOwnerGroup

    public Boolean getIsOwnerGroup()

### setIsOwnerGroup

    public void setIsOwnerGroup(Boolean ownerGroup)

### getLastUpdateDate

    public Date getLastUpdateDate()

### setLastUpdateDate

    public void setLastUpdateDate(Date lastUpdateDate)

### getLastUpdateUser

    public String getLastUpdateUser()

### setLastUpdateUser

    public void setLastUpdateUser(String lastUpdateUser)

### getAdminState

    public AdminState.Type getAdminState()

### setAdminState

    public void setAdminState(AdminState.Type adminState)

### getErrorMessage

    public String getErrorMessage()

### setErrorMessage

    public void setErrorMessage(String errorMessage)

### getOwnerGroup

    public Boolean getOwnerGroup()

### setOwnerGroup

    public void setOwnerGroup(Boolean ownerGroup)

### getWorkingState

    public WorkingState.Type getWorkingState()

### setWorkingState

    public void setWorkingState(WorkingState.Type workingState)

### getCurrentStepName

    public String getCurrentStepName()

### setCurrentStepName

    public void setCurrentStepName(String currentStepName)

### getCurrentStepCompletionDueDate

    public Date getCurrentStepCompletionDueDate()

### setCurrentStepCompletionDueDate

    public void setCurrentStepCompletionDueDate(Date currentStepCompletionDueDate)

### getConstructorName

    public String getConstructorName()

### setConstructorName

    public void setConstructorName(String constructorName)

### getFinalStepName

    public String getFinalStepName()

  The ID of the step from which this task was completed/aborted. Can be null if the task is not terminal or if it was administratively terminated.

### setFinalStepName

    public void setFinalStepName(String finalStepName)

### getFinalActionName

    public String getFinalActionName()

  The ID of the step action that completed/aborted this task. Can be null if the task is not terminal or if it was administratively terminated.

### setFinalActionName

    public void setFinalActionName(String finalStepActionName)

### getTaskTimeEstimate

    public Interval getTaskTimeEstimate()

  Get the time estimate for completion of the task. The time is expressed as an Interval instance. The estimate may come from the task instance itself (if set) or from the task plan for the task if no task-specific estimate has been set.

  Returns:
    The time estimate for the task. This will never be null.

### setTaskTimeEstimate

    public void setTaskTimeEstimate(Interval taskTimeEstimate)

### getStepTimeEstimates

    public Map<String,Interval> getStepTimeEstimates()

  Get a Map representing the time estimates for completion of each step for the task. The map is keyed by the step id, and the values are estimates for the steps expressed as an Interval instance. The estimate may come from the task instance itself (if set) or from the task plan for the task if no task-specific estimate has been set.

  Returns:
    A Map representing the time estimates for each step. This will never be null, and the values will never be null.

### setStepTimeEstimates

    public void setStepTimeEstimates(Map<String,Interval> stepTimeEstimates)

### getUserProperties

    public Map<String,PropertyInstance> getUserProperties()

### setUserProperties

    public void setUserProperties(Map<String,PropertyInstance> userProperties)

### setStateType

    public void setStateType(StateType stateType)

  Overrides:
    `setStateType` in class `TaskInfo`

### getStateType

    public StateType getStateType()

  Overrides:
    `getStateType` in class `TaskInfo`

### getTaskDataXML

    public TaskDataXMLDocument getTaskDataXML()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD